#include <euler/syscall.hpp>

int main(int argc, char **argv);

extern "C" [[noreturn]] void _start() {
  //TODO: call global constructors
  //TODO: get argc, argv from environment
  int exit_code = main(0, 0);
  //TODO: call global destructors
  __euler_end_this_thread(exit_code);
}
